import { useState } from "react";
import { View,Image } from "@tarojs/components";

import PageCustom from "@/components/page-custom/index";
import NavBarNormal from "@/components/nav-bar-normal/index";
import style from "./index.module.less";

import { useComponentStore } from '@/store/componentStore'
import { useCharacterStore } from '@/store/characterStore'
import IconPlusBig from "@/components/icon/icon-plus-big";

import Taro, {useRouter, useUnload} from "@tarojs/taro";
export default function Index() {
  const router = useRouter();
  const { id } = router.params;
  let currentComponent = useComponentStore((state)=>  state.currentComponent);
  const character = useCharacterStore((state)=> state.character);
  const loading = useComponentStore((state)=> state.loading);
  const { saveComponent } = useComponentStore();
  const [value, setValue] = useState(currentComponent?.data?.text ?? '');
  
  const handleSave = async () => {
    if(loading){
      return
    }
    if(value.length <= 0){
      return;
    }
    // const c = {
    //   data: {
    //     text: value,
    //     layout: radioValue,
    //   },
    //   enabled: currentComponent?.enabled ?? true,
    //   id: currentComponent?.id,
    //   name: currentComponent?.name ?? "姓名",
    //   index: currentComponent?.index,
    //   characterProfileId: currentComponent?.characterProfileId ?? character?.profileId,
    //   type: "title",
    // };

    
    // await saveComponent(c)
  };

  const onChange = (e: any) => {
    setValue(e);
  };
  

  

  const handleNavBack = async () => {
    await handleSave()
  }
  
  

  return (
    <PageCustom>
      <NavBarNormal backText="我的二维码"></NavBarNormal>
      <View className="px-16 pt-4">
        <View className={style.card}>
          <View>
            <View className="flex-center flex-col">
              <View className="w-36 h-36 rounded-full flex-center mb-12 bg-primary">
                <IconPlusBig/>
              </View>
              <View className="text-14 leading-22 font-medium mb-4">上传你的二维码</View>
              <View className="text-12 leading-20 text-gray-45">方便客户快速沟通，扫码即可联系你</View>
            </View>
          </View>
          {/* <Image style={{maxWidth: '344px'}} src="https://cdn.wehome.cn/cmn/jpg/187/META-H8UKWHWU-2JNUAG2BARJF55VHU9QS3-4YZZNDAM-2X.jpg" mode="widthFix"></Image> */}
        </View>
        <View className="flex flex-col gap-12">
          <View className="button-rounded-big">更新</View>
          <View className="button-rounded-big button-plain button-warn">清除</View>
        </View>
      </View>
    </PageCustom>
  );
}
